Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OSCL Proc

## Files
file | oscl_aostatus.h
| Some basic types used with active objects.

file | oscl_double_list.h
| Internal use types for scheduler.

file | oscl_scheduler_ao.h
| Oscl Scheduler user execution object classes.

file | oscl_scheduler_aobase.h
| Oscl Scheduler internal active object classes.

file | oscl_scheduler_readyq.h
| ready q types for oscl scheduler

file | oscl_scheduler_threadcontext.h
| Thread context functions needed by oscl scheduler.

file | oscl_scheduler_tuneables.h
| Tuneable settings for Oscl Scheduler.

file | oscl_scheduler_types.h
| Scheduler common types include file.

## Data Structures
class | OsclActiveObject
class | OsclAOStatus
class | OsclDoubleLink
class | OsclDoubleList
class | OsclDoubleListBase
class | OsclDoubleRunner
class | OsclExecScheduler
class | OsclExecSchedulerBase
class | OsclExecSchedulerCommonBase
class | OsclPriorityLink
class | OsclPriorityList
class | OsclReadyAlloc
class | OsclReadyCompare
class | OsclReadyQ
class | OsclScheduler
class | OsclSchedulerObserver
class | OsclTimerCompare
class | OsclTimerObject
class | OsclTimerQ
class | PVActiveBase
class | PVActiveStats
class | PVSchedulerStopper
class | PVThreadContext
class | TReadyQueLink
## Defines
#define | QUE_ITER_BEGIN(_type, _qname)
#define | QUE_ITER_END(_qname)
#define | PVSCHEDNAMELEN 30
#define | OSCL_ZEROIZE(ptr, size) oscl_memset(ptr, 0, size)
#define | PVEXECNAMELEN 30
#define | PV_SCHED_ENABLE_AO_STATS 1
#define | PV_SCHED_ENABLE_LOOP_STATS 0
#define | PV_SCHED_ENABLE_PERF_LOGGING 1
#define | PV_SCHED_ENABLE_THREAD_CONTEXT_CHECKS 1
#define | PV_SCHED_LOG_Q 0
#define | PV_SCHED_CHECK_Q 0
#define | PV_SCHED_FAIR_SCHEDULING 1
#define | OSCL_PERF_SUMMARY_LOGGING 0
## Typedefs
typedef PVActiveBase * | TOsclReady
## Enumerations
enum | TPVThreadContext { EPVThreadContext_InThread, EPVThreadContext_OsclThread, EPVThreadContext_NonOsclThread, EPVThreadContext_Undetermined }
## Functions
template<class T, class S> T * | OsclPtrAdd (T *aPtr, S aVal)
template<class T, class S> T * | OsclPtrSub (T *aPtr, S aVal)
## Variables
const int32 | OSCL_REQUEST_ERR_NONE = 0
const int32 | OSCL_REQUEST_PENDING = (-0x7fffffff)
const int32 | OSCL_REQUEST_ERR_CANCEL = (-1)
const int32 | OSCL_REQUEST_ERR_GENERAL = (-2)

## Define Documentation

#define OSCL_PERF_SUMMARY_LOGGING 0

#define OSCL_ZEROIZE | ( | ptr,
|  | size |  | ) | oscl_memset(ptr, 0, size)

| This file defines the PVActiveBase class, which is a common base for All PV ExecObjs on all platforms.

#define PV_SCHED_CHECK_Q 0

#define PV_SCHED_ENABLE_AO_STATS 1

#define PV_SCHED_ENABLE_LOOP_STATS 0

#define PV_SCHED_ENABLE_PERF_LOGGING 1

#define PV_SCHED_ENABLE_THREAD_CONTEXT_CHECKS 1

#define PV_SCHED_FAIR_SCHEDULING 1

#define PV_SCHED_LOG_Q 0

#define PVEXECNAMELEN 30

#define PVSCHEDNAMELEN 30

| PV Scheduler class

#define QUE_ITER_BEGIN | ( | _type,
|  | _qname |  | ) |

| Value:
    if (!_qname.IsEmpty())\
        {\
            OsclDoubleRunner <_type> iter(_qname);\
            _type *item;\
            for (iter.SetToHead(); ;iter++)\
            {\
                item=iter;\

#define QUE_ITER_END | ( | _qname |  | ) |

| Value:
    if (_qname.IsTail(item))\
                    break;\
            }\
        }

## Typedef Documentation

typedef PVActiveBase* TOsclReady

## Enumeration Type Documentation

enum TPVThreadContext

  | Thread context type Enumeration values:
  EPVThreadContext_InThread |
  EPVThreadContext_OsclThread |
  EPVThreadContext_NonOsclThread |
  EPVThreadContext_Undetermined |

## Function Documentation

template<class T, class S>
T* OsclPtrAdd | ( | T * | aPtr,
|  | S | aVal
| ) | `[inline]`

template<class T, class S>
T* OsclPtrSub | ( | T * | aPtr,
|  | S | aVal
| ) | `[inline]`

## Variable Documentation

const int32 OSCL_REQUEST_ERR_CANCEL = (-1)

const int32 OSCL_REQUEST_ERR_GENERAL = (-2)

const int32 OSCL_REQUEST_ERR_NONE = 0

const int32 OSCL_REQUEST_PENDING = (-0x7fffffff)